API reference
Widget settings
Operations for widget settings
Read widget settings
GET
Retrieve widget platform settings
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
200Widget settingsapplication/json
Widget platform settings
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
get/{property_id}/settings/widget
GET /api/{property_id}/settings/widget HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
200Widget settings
{
"result": {
"has_dsar": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"has_accessibility": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"default_notice_type": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"blocking_mode": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"widget_execution": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"script_delay": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"greeting_text": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"intro_message": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"native_notice": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"client_side_consent_resolution": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"logo_display": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"accessibility_phone": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"legal_search": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"widget_icon": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"use_accessibility_icon": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"primary_color": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"logo_url": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"favicon_url": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
}
}
}Save widget settings
POST
Update widget platform settings
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
Request bodyapplication/json
200Settings updatedapplication/json
Show properties
post/{property_id}/settings/widget
POST /api/{property_id}/settings/widget HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "settings": {} }
200Settings updated
{
"result": {
"changed": null
}
}Sign asset upload
POST
Generate signed URL for uploading widget assets
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
Request bodyapplication/json
200Upload URL generatedapplication/json
Show properties
post/{property_id}/settings/widget/sign-asset
POST /api/{property_id}/settings/widget/sign-asset HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "mime": "string", "field": "string" }
200Upload URL generated
{
"result": {
"url": "string",
"attachment_id": "string",
"expires_at": "string"
}
}Remove widget asset
DELETE
Remove an uploaded widget asset
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
Request bodyapplication/json
200Asset removedapplication/json
Show properties
delete/{property_id}/settings/widget/remove-asset
DELETE /api/{property_id}/settings/widget/remove-asset HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "field": "logo_url" }
200Asset removed
{
"result": {
"removed": false
}
}